import 'package:equatable/equatable.dart';
import 'package:furima_item_search/fs_item.dart';
import 'package:furima_item_search/fs_site.dart';

class FSPageData extends Equatable {
  FSSite site;
  String url;
  int currentIndex;
  List<FSItem> list;
  bool hasNext;

  FSPageData({
    this.site,
    this.currentIndex,
    this.hasNext,
    this.list,
    this.url,
  }) : super([site, url, currentIndex, hasNext, list.length]);

  String get nextPageUrl {
    switch (site) {
      case FSSite.rakuma:
      case FSSite.mercari:
        final pageNumber = currentIndex + 1;
        return this.url + '&page=' + pageNumber.toString();
      case FSSite.yahoo:
        final count = 50;
        return this.url +
            '&b=' +
            ((currentIndex) * count + 1).toString() +
            '&n=' +
            count.toString();
    }
  }
}
