import 'package:furima_item_search/fs_query.dart';

enum FSSite { mercari, rakuma, yahoo }

class FSSiteHelper {
  static String getName(FSSite site) {
    switch (site) {
      case FSSite.mercari:
        return 'メルカリ';
      case FSSite.rakuma:
        return 'ラクマ';
      case FSSite.yahoo:
        return 'ヤフオク!';
    }
  }

  static String _getBasePath(FSSite site) {
    switch (site) {
      case FSSite.mercari:
        return 'https://www.mercari.com/jp/search/?';
      case FSSite.rakuma:
        return 'https://fril.jp/s?';
      case FSSite.yahoo:
        return 'https://auctions.yahoo.co.jp/search/search?fixed=1';
    }
  }

  static String getSearchPath(FSSite site, FSQuery query) {
    String url = _getBasePath(site) + query.parameter(site);
    url = Uri.encodeFull(url);
    return url;
  }
}
